<?php

namespace App\Modules\FactUnit\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface FactUnitRepository
{
    public function find(StorageCriteria $action): FactUnit;
    public function search(StorageCriteria $action): array;
    public function insert(FactUnit $model);
    public function update(FactUnit $model);
}
